Bug 57523 - EDITING No way to find and select empty cells in range
Summary: EDITING No way to find and select empty cells in range
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: ToBeReviewed target:5.2.0
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2012-11-25 17:10 UTC by Mirosław Zalewski
Modified: 2017-02-14 08:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mirosław Zalewski 2012-11-25 17:10:34 UTC
Currently there is no way to select all empty cells in given range.

^$ regexp in Find and Replace should find them, but it was intentionally disabled in some historical OOo release due to "performance issues" [1].

There are two things that should be considered:
1. Does these "performance issues" still apply on any fairly new hardware?

2. Can we safely assume, that user that does use regular expressions KNOWS what he is doing? I think that LO is a tool and should not think instead of user. If user wants to run resource-hungry query on large dataset, then he should be able to do it (and face performance penalty, if they applies).

[1] http://wiki.openoffice.org/wiki/Documentation/How_Tos/Regular_Expressions_in_Calc
Comment 1 Michael Meeks 2012-12-18 16:58:31 UTC
It's an interesting thought. In some sense the empty cells don't really exist - at least, in general we try to ensure they do not (there used to be some exceptions for 'notes' and also the empty source cells for dependencies ie. do =A3 in A1 and A3 will have an invisible cell backing but these are filtered out too it seems).

If you'd like to hack this - it shouldn't be -too- hard. I suspect we want to run the regexp on a single empty string the first time we hit an empty cell and then do some rather more optimised selection building - which (you might hope) should be reasonably efficient.

But of course all that needs some hacking input I expect :-) the place to go is:

sc/source/core/data/table6.cxx which shouldn't look (so) frightening I hope.
Comment 2 Björn Michaelsen 2013-10-04 18:46:42 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 3 Robinson Tryon (qubit) 2013-10-23 18:41:30 UTC Comment hidden (obsolete)
Comment 4 Robinson Tryon (qubit) 2015-12-14 05:03:40 UTC Comment hidden (obsolete)
Comment 5 Robinson Tryon (qubit) 2016-02-18 14:52:14 UTC Comment hidden (obsolete)
Comment 6 Mohammed Abdul Azeem 2016-02-28 19:33:44 UTC
I would like to try this one.
Comment 7 jani 2016-02-29 20:28:38 UTC
(In reply to Mohammed Abdul Azeem from comment #6)
> I would like to try this one.

You are welcome, assign it to yourself, and follow our step by step guide:
https://wiki.documentfoundation.org/Development/GetInvolved
Comment 8 Commit Notification 2016-03-10 14:07:22 UTC
Mohammed Abdul Azeem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=69ac605191860aceee09f1147a5234222d1b3300

tdf#57523 - Regex search "^$" finds all empty cells in given range.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 jani 2016-04-25 06:44:34 UTC
Seems solved